Subject: [Sip] WG: Message draft changes

From: Heil Franca Marcelo ICM N PG U ID A 2 <[email-masked]>
Date: Thu, 16 May 2002 18:19:36 +0200

Hello,

I think that the issue of limiting the size of MESSAGE payload is not only
related to transport protocols for congestion control but also concerns, as
partially mentioned in the draft, the use of the siganlling infrastructure
to transfer instant messaging traffic. 
It can be discussed whether 1300 bytes is the right value, but a size
limitation is required. This also enforces congestion control when used in
conjunction with the other rules stated in the draft (not fragment contents
across multiple MESSAGE requests and not initiate a new MESSAGE transaction
as long as there is one pending).

Regards,
Marcelo

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: 16 May 2002 16:59
To: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [Sip] Message draft changes

It seems to me that your limitation is on the assumption that Ethernet is
the underlying Data Link layer. 

I admit some UDP implementations also limit the UDP datagram size to a
smaller value than 64K. But as it says, its an implementation, and that's
why the limitation should be an implementation issue depending on the
underlying network, the API, etc. and not restricted by the protocol
standard.

Regards,
Hisham

> -----Original Message-----
> From: ext Ben Campbell [mailto:[email-masked]]
> Sent: Tuesday, May 14, 2002 5:40 PM
> To: Niemi Aki (NET/Espoo); [email-masked]
> Subject: RE: [Sip] Message draft changes
> 
> 
> 
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]]
> > Sent: Tuesday, May 14, 2002 4:54 AM
> > To: [email-masked]
> > Cc: [email-masked]
> > Subject: RE: [Sip] Message draft changes
> >
> >
> > Hi Ben,
> >
> > > I submitted draft-ietf-sip-message-04 last week. This version
> > > contains a few
> > > AD requested changes, primarily in the area of congestion control.
> > > Specifically:
> > >
> > > 1) Added an applicability statement clarifying the difference
> > > between the
> > > pager and session models, and that this draft only defines
> > > the pager model.
> > >
> > > 2) Strengthened the congestion control section:
> > >
> > >    * 1300 byte hard limit for physical payload size for pager
> > > model. This
> > > applies to the actual payload only, not indirect content. 
> Fragmenting
> > > content across multiple requests is prohibited for pager model.
> >
> > I don't agree with this at all. This sort of hard limit really
> > hampers the whole IM application. The session mode and paging
> > mode IM are very different in nature. Session IM is clearly
> > conversational, whereas paging mode IM much more of a
> > "shoot-and-forget" type messaging. Now if the selection between
> > the two is not based on user preference and needs but on payload
> > size, I don't think this serves the IM users very well.
> >
> > Also, 1300 bytes seems awfully little, if I want to send
> > message/cpim with S/MIME protection.
> >
> 
> I understand your concern. The problem is, the IESG is very 
> concerned about
> the potential for congestion caused by MESSAGE. We initially 
> stated that, if
> your payload was over 1300 bytes, you must use a congestion-controlled
> transport. The SIP spec itself says that now, I think. The problem is,
> outside of a dialog, there is no way to ensure that no hop 
> will traverse
> UDP. So to allow larger payloads, we would have to solve that 
> problem first.
> We did not want to make MESSAGE dependent on a solution for 
> that problem.
> 
> There is work underway to define a mechanism for indirect 
> content. I think
> we will have to use that for any sort of large content.
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip